Bug 10308 - Authorities linker should handle the "local subject added entry" fields.
Summary: Authorities linker should handle the "local subject added entry" fields.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Robin Sheat
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-22 02:35 UTC by Robin Sheat
Modified: 2015-06-04 23:33 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10308 - local subjects can use authorities too (1.94 KB, patch)
2013-05-22 03:30 UTC, Robin Sheat
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10308 - local subjects can use authorities too (2.07 KB, patch)
2014-06-23 01:52 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 10308 - local subjects can use authorities too (2.27 KB, patch)
2014-07-20 18:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2013-05-22 02:35:54 UTC
In MARC21, 690-699 are for locally defined subjects. These should be linked up to their appropriate authorities by the linker too.
Comment 1 Robin Sheat 2013-05-22 03:30:28 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2013-08-22 13:53:05 UTC
Is there a reason you didn't mark 696-699 as subjects?
Comment 3 Robin Sheat 2013-09-01 21:47:51 UTC
I'm not sure. I think I just based it on the pattern used by other things.
Comment 4 I'm just a bot 2013-09-29 05:51:30 UTC
Patch applied cleanly, go forth and signoff
Comment 5 I'm just a bot 2013-10-24 19:38:51 UTC
Patch applied cleanly, go forth and signoff
Comment 6 M. Tompsett 2014-03-19 15:30:14 UTC
Speaking of other things, how did you determine the subfields?
http://oclc.org/bibformats/en/6xx/690.html (why not c,d,e?)
http://oclc.org/bibformats/en/6xx/691.html (why not b?)
http://oclc.org/bibformats/en/6xx/696.html (why not u,v,x,y,z?)
You get the idea. :)

I know nothing of library stuff, but I would suspect that subject would be applicable to these 6xx fields, like Jared was asking about in comment 2.

And it looks like 696-698 are cut and paste from 700,710,711.
And 699 cut and paste from 698. Which is what is implied by comment 3.
Comment 7 Robin Sheat 2014-06-12 03:58:39 UTC
(In reply to M. Tompsett from comment #6)
> Speaking of other things, how did you determine the subfields?
> http://oclc.org/bibformats/en/6xx/690.html (why not c,d,e?)
> http://oclc.org/bibformats/en/6xx/691.html (why not b?)
> http://oclc.org/bibformats/en/6xx/696.html (why not u,v,x,y,z?)
> You get the idea. :)
> 
> I know nothing of library stuff, but I would suspect that subject would be
> applicable to these 6xx fields, like Jared was asking about in comment 2.
> 
> And it looks like 696-698 are cut and paste from 700,710,711.
> And 699 cut and paste from 698. Which is what is implied by comment 3.

The subfields are just based on what was used on the equivalent fields, on the assumption that they were laid out the same. These are all local use fields, there is no strict definition for them according to LoC, and according to OCLC, they are they same. So what's good enough for 650 is good enough for 690, etc.

If they're not actually good enough, then that's another bug.
Comment 8 Robin Sheat 2014-06-12 03:59:08 UTC
(In reply to Jared Camins-Esakov from comment #2)
> Is there a reason you didn't mark 696-699 as subjects?

And looking at this again, it's because they're not subjects. They're names and titles.
Comment 9 Bernardo Gonzalez Kriegel 2014-06-23 01:52:40 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2014-07-20 18:29:53 UTC
Created attachment 29881 [details] [review]
[PASSED QA] Bug 10308 - local subjects can use authorities too

This adds entries for 690-699 to the authorities linker, so they get
linked up like everything else.

To Test:
 * make sure your framework doesn't have 690 set up to link to
   authorities (or it'll get linked as part of cataloguing.)
 * add a subject with some term to the 690$a field.
 * add an authority for TOPIC_TERM with the matching term.
 * make sure zebra is up to date.
 * run link_bibs_to_authorities.pl over your system.
 * check that the authority is now linked to your record.
 * repeat with the other 69x fields if you like.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Tested using 696a (PERSO_NAME). Works as described, no errors

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
This works as described, but linked authorities won't search
correctly when clicking on the link on the detail page,
as the 69x $9 is not indexed.
Comment 11 Tomás Cohen Arazi 2014-09-01 13:53:23 UTC
Patch pushed to master.

Thanks Robin!